:root {
    --main-site-color:#F65505;
    --hamburger-menu-color:#d6d6d6;
}

html, body{
    height:100%;
}
.page-container{
    display:flex;
    flex-direction:column;
    width:100%;
    height:100%;
    overflow:hidden;
}
.cp-carousel{
    width:100%;
    height:100%;
    overflow:hidden;
    display:flex;
    align-items:center;
    justify-content:center;
}
.cp-carousel-inner{
    height:100%;
    width:75%;
    max-height:75vh;
    display:flex;
    flex-direction:column;
    align-items:center;
    justify-content:center;
    position:relative;
}
.cp-carousel-item{
    width:100%;
    height:100%;
    /*position:unset;*/
    left:unset;
    display:flex;
    flex-direction:column;
}
.cp-carousel-img{
    width:100%;
    height:100%;
    object-fit:contain;
}

#billLogoA:hover #billLogoP{
    color:var(--main-site-color);
}
.header-cart-button{
    /*color:var(--main-site-color) !important;*/
    color:#f34704;
    margin-right:30px;
    font-weight:400;
    font-family:Helvetica Neu light, Arial, sans-serif;
    font-size:18px;
}
.header-cart-button.hidden{
    visibility:hidden;
}
    .header-cart-button:hover{
        color:#f34704
    }
.copyright-area{
    align-items:center;
}
.copyright-area #billGalleryCopyright{
    margin:0;
}

.page-container.portfolio{
    flex-direction:row;
    align-items:center;
    justify-content:space-between;
}
.portfolio-container {
    display: flex;
    flex-direction:column;
    align-items: center;
    justify-content:center;
    position:absolute;
    width:100vw;
    height:100vh;
}
.portfolio-images-container{
    height:100%;
    display:flex;
    align-items:flex-start;
    justify-content:center;
    padding:25px 5% 0;
    height: fit-content;
}
.portfolio-images-container-inner {
    /*border:1px solid red;*/
    display:none;
    /*grid-template-rows:repeat(3, calc(33% - 5px));*/
    /*grid-template-columns:repeat(3, 1fr);*/
    /*gap:30px;*/
    /*max-width:65%;*/
    /*height:100%;*/
    /*max-height:100%;*/
    /*overflow:hidden;*/
    grid-template-columns:repeat(3,1fr);
    grid-template-rows:repeat(3,1fr);
    gap:15px;
}
    .portfolio-images-container-inner.active{
        display:grid;
    }
.portfolio-images-container.portraits .portfolio-images-container-inner {
    grid-template-columns:repeat(4,1fr);
    grid-template-rows:repeat(2,1fr);
    gap:30px;
}
.portfolio-images-container.squares .portfolio-images-container-inner {
    grid-template-columns:repeat(3,1fr);
    grid-template-rows:repeat(2,1fr);
    gap:30px 15px;
}
.portfolio-image {
    /*border: 1px solid blue;*/
    /*width:100%;*/
    /*padding:0;*/
    cursor:pointer;
    user-select:none;
}
.portfolio-img{
    width:100%;
    height:100%;
    object-fit:cover;
    aspect-ratio:1093/732;
}
.portfolio-images-container.portraits .portfolio-img {
    aspect-ratio:732 / 1093;
}
.portfolio-images-container.squares .portfolio-img {
    aspect-ratio:1093 / 1093;
}

.portfolio-image-viewer{
    /* border: 1px solid red; */
    width: 100vw;
    height: 100vh;
    position: fixed;
    bottom: 0;
    left: 0;
    background: white;
    z-index: 999;
    display:none;
}
    .portfolio-image-viewer.show {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
    }
.portfolio-image-viewer-image {
    /*border: 1px solid red;*/
    width: 100%;
    height: 100%;
    max-height: 70%;
    display:flex;
    flex-direction:column;
    align-items:center;
    justify-content:center;
    user-select:none;
    margin-top:-2%;
    max-width:75%;
    max-height:75vh;
    aspect-ratio:1322/881;
}
.portfolio-image-viewer-image img{
    /*max-width:100%;*/
    /*max-height:100%;*/
    /*user-select:none;*/
    /*pointer-events:none;*/
    /*object-fit:cover;*/
    width:100%;
    height:100%;
    object-fit:contain;
}
.portfolio-image-viewer-add-to-cart{
    display:flex;
    flex-direction:column;
    align-items:center;
    color:slategray;
    font-size:18px;
    user-select:none;
    position:absolute;
    bottom:10px;
    z-index:9999;
    width:100%;
}
.portfolio-image-viewer-image-name{
    margin:0;
    /*color:var(--hamburger-menu-color);*/
    color:#e7e7e7;
    font-size:14px;
}
.portfolio-image-viewer-add-to-cart a, .success-a{
    color:var(--main-site-color);
    font-size:14px;
}
    .portfolio-image-viewer-add-to-cart a:hover, .success-a:hover{
        color:orange;
    }

.dropdown-menu li a:hover{
    /*background: var(--main-site-color);*/
    background:var(--hamburger-menu-color);
}
.headerLinkButtons.active {
    background: unset !important;
    color: var(--main-site-color) !important;
}

.portfolio-no-images-found-container{
    display:flex;
    align-items:center;
    justify-content:center;
    width:100%;
    height:100%;
}

.portfolio-image-viewer-add-to-cart-button{
    /*color:var(--main-site-color);*/
    /*color:var(--hamburger-menu-color);*/
    color:#b0b0b0;
    cursor:pointer;
    text-decoration:underline;
    font-size:14px;
}
    .portfolio-image-viewer-add-to-cart-button:hover{
        color:var(--main-site-color);
    }

.portfolio-images-container-button{
    /*flex-basis:17.5%;*/
    flex-basis:12%;
    display:flex;
    align-items:center;
    /*font-size:40px;*/
    font-size:26px;
    color:gray;
    user-select:none;
    justify-content:center;
    display:none;
    z-index:9;
}
/*.portfolio-images-container-button.back-btn{
    text-align:right;
}
.portfolio-images-container-button.next-btn{
    text-align:left;
}*/
.portfolio-images-container-button > div{
    /*border:1px solid orange;*/
    cursor:pointer;
    padding:0 18px 5px;
    border-radius:100%;
}

.portfolio-container-mobile-buttons {
    /* border: 1px solid lime; */
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 20px;
    user-select: none;
}
.portfolio-images-container-button-mobile-back, .portfolio-images-container-button-mobile-next {
    font-size: 40px;
    cursor: pointer;
}


.page-container.prints{
    overflow:unset;
    align-items:center;
    justify-content:center;
    padding:15px;
}
.prints-container {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.prints-container-inner {
    display: flex;
    flex-direction:column;
    max-width:75%;
    max-height:75vh;
    gap: 15px;
    aspect-ratio:1322/881;
}
.prints-container .left-side ul {
    list-style: none;
    margin: 0;
    padding: 0;
    margin-bottom:15px;
}
.prints-images {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    flex-direction:column;
}
.prints-images img {
    max-width:100%;
}


.page-container.contact {
    align-items:flex-start;
    justify-content:flex-start;
    padding:15px;
    overflow:auto;
}
/*.about-container {*/
/*    margin:5% 12.5%;*/
/*}*/
.about-container-inner {
    display: flex;
    flex-direction: column;
    gap: 15px;
    /*overflow:hidden;*/
    /*background:red;*/
}
.about-container-inner p {
    font-size:16px;
}
.about-container-inner > img {
    max-width: 150px;
}
.about-container-inner * {
    margin-bottom: 0;
}

.contact-links {
    display: flex;
    flex-direction: column;
}
.contact-links a{
    width:fit-content;
}
.contact-links-and-asmp {
    display: flex;
    flex-direction:column;
    justify-content: space-between;
    gap:30px;
    padding-bottom:25px;
}
.asmp-logo img {
    width: 48px;
}



.cart-empty-page, .cart-page {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
}
.cart-page-inner {
    /*border: 1px solid black;*/
    height: 75%;
    width: 65%;
    max-width:850px;
    display:flex;
    gap:20px;
}
.cart-page-left {
    flex-basis: 40%;
    overflow:scroll;
}
.cart-page-right {
    flex-basis: 60%;
    display: flex;
    flex-direction: column;
}
.cart-item {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.cart-item-top {
    display: flex;
    width: 100%;
    gap: 20px;
    align-items: center;
}
.cart-item-delete {
    cursor: pointer;
    color: lightgray;
}
.cart-item-bottom {
    display: flex;
    width: 100%;
    font-size: 12px;
    color: gray;
}
.cart-item img {
    width: 150px;
}
.cart-item-delete {
    cursor: pointer;
    color: lightgray;
}
.cart-page-inputs {
    display: flex;
    flex-direction: column;
    width: 75%;
    gap: 15px;
    margin: 15px 0;
}
.cart-page input[type="submit"], .cart-page #submit-cart {
    width: fit-content;
    border: none;
    background: none;
    font-size: 18px;
    color: var(--main-site-color);
    padding: 0;
    /*align-self: flex-end;*/
    cursor:pointer;
    margin-top:25px;
}



/* BG Notification CSS */
.bg-user-notifications-container {
    position: fixed;
    width: 100%;
    height: 100%;
    background: #00000021;
    z-index: 999999999999999999999;
    display: none;
    align-items: center;
    justify-content: center;
    top:0;
    left:0;
}
    .bg-user-notifications-container.active{
        pointer-events:none;
    }
.bg-user-notifications-container-inner {
    width: 300px;
    height: 300px;
    background: #5b5b5bf0;
    border-radius: 25px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.bg-user-notification-icon {
    font-size: 80px;
}
.bg-user-notification-text {
    font-size: 32px;
    text-align:center;
}
.page-container > #masonryContainerID{
    overflow:auto;
}
.page-container.portfolio.slideshows {
    justify-content: center;
    align-items: center;
}
.portfolio-video-player{
    width:100%;
    height:100%;
}



.success-page{
    width:100%;
    height:100%;
    display:flex;
    flex-direction:column;
    align-items:center;
    justify-content:center;
}


.page-container.stock {
    overflow: scroll;
}
/*.stock-container {*/
/*    column-count: 6; */
/*    column-gap: 2px; */
/*}*/

/*.stock-page-single-image {*/
/*    break-inside: avoid; */
/*    margin-bottom: 2px; */
/*    width: 100%;*/
/*    cursor:pointer;*/
/*}*/

/*.stock-page-single-image img {*/
/*    width: 100%; */
/*    height: auto;*/
/*}*/
/* masonry */
.stock-container{
    width:100%;
    margin:0 auto;
}

.masonryColumn{
    height:100%;
    float:left;
}

.masonryImgDiv{
    margin:0px;
    padding:1px;
    cursor:pointer;
}

.masonryImg{
    width:100%;
    display:block;
}

.customLightboxFooter_nameLinkDiv {
    display: flex;
    flex-direction: column;
    align-items: center;
    color:var(--hamburger-menu-color);
}

.customLightboxFooter_nameLinkDiv p{
    margin:0;   
}
.customLightboxFooter_nameLinkDiv p a {
    color:var(--hamburger-menu-color);
}


.page-container.work {
    overflow:scroll;
}
.portfolio-image.slideshows p{
    padding-bottom:15px;
}
.page-container.slideshows .portfolio-images-container-inner.active {
    max-height: 100%;
    /* background: red !important; */
    overflow: hidden;
    gap:30px 10px;
}

.portfolio-image-viewer-scroll {
    /*font-size: 40px;*/
    font-size:26px;
    color: gray;
    cursor: pointer;
    user-select: none;
    /*flex-basis: 17.5%;*/
    flex-basis:12%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    /*border: 1px solid green;*/
    z-index:9999;
    margin-top:6vh;
}
.portfolio-image-viewer-container {
    width: 100%;
    height:90%;
    /*border: 1px solid red;*/
    display: flex;
    margin: 0;
    padding: 0;
    align-items: center;
    justify-content: center;
    z-index:99;
    
    
    position:absolute;
    max-width:100%;
    max-height:90%;
    aspect-ratio:1322/881;
    overflow:hidden;
    bottom:0;
}

.page-container.portfolio.slideshows .portfolio-image-viewer.show {
    justify-content: center;
}



/*  Stock Pages */
.stock-container {
    overflow-y:scroll;
}
.page-container.stock {
    overflow:hidden;
}





@media only screen and (max-width:992px){
    .cart-page-inner {
        width:100%;
        padding:0 20px;
    }
    .page-container.prints{
        
    }
}

@media only screen and (min-width:650px){
    .prints-images {
        flex-direction:row;
        align-items:flex-end;
    }
    .page-container.slideshows .portfolio-images-container-inner.active {
        gap:30px ;
    }
}
@media only screen and (min-width:990px){
    .customLightboxContainer {
        position: fixed;
        width: 100%;
        height: 100%;
        top:0;
        z-index:unset;
        display: block;
        visibility: hidden;
        opacity: 1;
        transition: opacity 2s;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .customLightboxBackgroundDiv {
        position: fixed;
        background-color: #fff;
        width: 100%;
        height: 100%;
        z-index: unset;
        opacity: 1;
    }
    .customLightboxImageContainer {
        margin:0;
        z-index: unset;
        display: flex;
        flex-direction: column;
    }
    .customLightboxFooter_nextPrevDiv {
        user-select: none;
    }
    .customLightboxImg{
        user-select:none;
    }
    
    
    
    
    .page-container.contact {
        align-items: center;
        justify-content: center;
    }
    .about-container-inner {
        aspect-ratio: 1322/881;
        max-width: 75%;
        max-height: 75vh;
        /*overflow:hidden;*/
    }
    
    
    
}

















@media only screen and (min-width:992px){
    .portfolio-container {
        flex-direction:row;
    }
    .prints-container-inner{
        /*flex-direction:row;*/
    }
    .portfolio-images-container-button{
        display:flex;
    }
    .portfolio-images-container{
        align-items:center;
        /*flex-basis:65%;*/
        padding:0;
        max-width:75%;
        max-height:75vh;
        aspect-ratio:1322/881;
        /*overflow:hidden;*/
    }
    .portfolio-images-container-button-mobile-back, .portfolio-images-container-button-mobile-next {
        display:none;
    }
    .portfolio-image-viewer-scroll {
        /*flex-basis:17.5%;*/
    }
    .portfolio-images-container-inner {
        gap:30px;
    }
}

@media only screen and (min-width:1500px){
    .portfolio-image-viewer-scroll {
        flex-basis:17.5%;
    }
    .portfolio-images-container-button{
        flex-basis:17.5%;
    }
}



